Bug 866282 - [abrt]: BUG: unable to handle kernel NULL pointer dereference at 000000f0
[abrt]: BUG: unable to handle kernel NULL pointer dereference at 000000f0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:2cb13b66dbdfaf4b63447ee1f06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 22:28 EDT by slave it8
Modified: 2012-11-14 10:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:07:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description slave it8 2012-10-14 22:28:14 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-8.fc16.i686 root=/dev/mapper/vg_matthias-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_matthias/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_matthias/lv_root LANG=en_US.UTF-8

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 000000f0
:IP: [<f7ede863>] uvc_video_clock_update+0x63/0x4f0 [uvcvideo]
:*pde = 3c86a067 
:Oops: 0000 [#1] SMP 
:Modules linked in: tcp_lp binfmt_misc vfat fat fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio fcoe cxgb4i libfcoe cxgb4 libfc 8021q garp stp cxgb3i scsi_transport_fc llc libcxgbi scsi_tgt cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi tpm_bios scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_realtek arc4 snd_hda_intel ath9k snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo ath9k_common ath9k_hw videobuf2_core videodev ath snd_timer media videobuf2_vmalloc videobuf2_memops eeepc_wmi snd cfg80211 asus_wmi soundcore iTCO_wdt iTCO_vendor_support sparse_keymap snd_page_alloc rfkill atl1c joydev microcode uinput usb_storage wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 2726, comm: video_source:sr Not tainted 3.3.0-8.fc16.i686 #1 ASUSTeK Computer INC. 1005HA/1005HA
:EIP: 0060:[<f7ede863>] EFLAGS: 00210046 CPU: 0
:EIP is at uvc_video_clock_update+0x63/0x4f0 [uvcvideo]
:EAX: 00000000 EBX: 00000000 ECX: 000000f0 EDX: 0000000b
:ESI: d3f793e2 EDI: dd051c00 EBP: d2e3dd40 ESP: d2e3dc90
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process video_source:sr (pid: 2726, ti=d2e3c000 task=f4ce0000 task.ti=d2e3c000)
:Stack:
: 000002f2 d2e3dc9c c0409758 d2e3dce0 c0467afb 00000000 00000280 00000000
: 5978cd50 00000175 00000000 f5007810 f5007800 d2e3dccc c0409758 d2e3dd10
: 00004400 00000000 d2e3dd2c c046a593 ffffffff f5007810 f5007800 000002f2
:Call Trace:
: [<c0409758>] ? sched_clock+0x8/0x10
: [<c0467afb>] ? sched_clock_local+0xcb/0x1c0
: [<c0409758>] ? sched_clock+0x8/0x10
: [<c046a593>] ? update_curr+0x213/0x380
: [<c046aa05>] ? update_cfs_shares+0x95/0xf0
: [<c046acca>] ? dequeue_entity+0x10a/0x320
: [<f7edaa0d>] uvc_buffer_finish+0x1d/0x30 [uvcvideo]
: [<f7e33597>] vb2_dqbuf+0x207/0x370 [videobuf2_core]
: [<c0654c14>] ? rb_erase+0x174/0x290
: [<c04028a6>] ? __switch_to+0xa6/0x2b0
: [<f7edad0c>] uvc_dequeue_buffer+0x3c/0x60 [uvcvideo]
: [<f7edc2f6>] uvc_v4l2_do_ioctl+0x8f6/0x1100 [uvcvideo]
: [<c04b49c4>] ? irq_to_desc+0x14/0x20
: [<c0445611>] ? mod_timer+0x1a1/0x280
: [<c065b162>] ? _copy_from_user+0x42/0x60
: [<c0445611>] ? mod_timer+0x1a1/0x280
: [<f7ec2159>] video_usercopy+0x1c9/0x500 [videodev]
: [<f7edba00>] ? uvc_v4l2_open+0x110/0x110 [uvcvideo]
: [<c06028ab>] ? inode_has_perm+0x3b/0x50
: [<f7edb175>] uvc_v4l2_ioctl+0x25/0x60 [uvcvideo]
: [<f7edba00>] ? uvc_v4l2_open+0x110/0x110 [uvcvideo]
: [<f7ec1343>] v4l2_ioctl+0x93/0x110 [videodev]
: [<c0445611>] ? mod_timer+0x1a1/0x280
: [<f7ec12b0>] ? v4l2_mmap+0xa0/0xa0 [videodev]
: [<c0544962>] do_vfs_ioctl+0x82/0x5a0
: [<c0605b57>] ? selinux_file_ioctl+0x47/0xe0
: [<c0544eef>] sys_ioctl+0x6f/0x80
: [<c0445611>] ? mod_timer+0x1a1/0x280
: [<c092e4d4>] syscall_call+0x7/0xb
: [<c0445611>] ? mod_timer+0x1a1/0x280
: [<c0920000>] ? native_cpu_up+0x144/0x92e
:Code: 02 00 00 8b 87 a0 03 00 00 8b 9f 9c 03 00 00 8b b6 7c 02 00 00 8d 14 80 83 e8 01 8d 14 93 89 55 d4 31 d2 f7 f1 8b 4d d4 89 75 d0 <8b> 09 8d 04 92 8d 04 83 89 45 cc 89 f0 05 00 00 00 80 29 c1 89
Comment 1 Dave Jones 2012-10-23 11:31:05 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 10:07:58 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.